package com.pj.project.tb_item;

import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.project.tb_item_type.TbItemType;
import com.pj.project.tb_item_type.TbItemTypeService;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.pj.utils.sg.*;

import javax.annotation.Resource;

/**
 * Service: tb_item -- 作业配置项
 *
 * @author qzy
 */
@Service
public class TbItemService extends ServiceImpl<TbItemMapper, TbItem> implements IService<TbItem> {

    /**
     * 底层 Mapper 对象
     */
    @Autowired
    TbItemMapper tbItemMapper;


    /**
     * 删
     */
    void delete(Long id) {
        this.removeById(id);
    }


    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    List<TbItem> getList(SoMap so) {
        return tbItemMapper.getList(so);
    }


    public List<TbItem> getTypeItemList(SoMap soMap) {
        return tbItemMapper.getTypeItemList(soMap);
    }



    public List<TbItem> getItemTypeById(String typeId) {
      return   tbItemMapper.getItemTypeById(typeId);
    }
}
